Get logs for connector
Get logs for connector via process or connector id
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Path Parameters
publicId*string
Format
uuidconnectorVersion*string
Major version number as an integer
- For 1.0.5 use
1 - For 2.5.6 use
2
You can also use latest for the latest version, or main for the currently main released version.
Match
^main|latest|\d+$Query Parameters
process-id?string
Filter logs by process id
site-id?string
Filter logs by site id
level?string
Filter logs by log level
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/logs"{
"message": "Retrieved logs.",
"resource": "logs",
"data": [
{
"timestamp": "2025-11-04T12:00:00.000Z",
"message": "Sample message 0",
"process-id": "process-1",
"level": 7,
"site": 123
},
{
"timestamp": "2025-11-04T12:00:00.000Z",
"message": "Sample message 1",
"process-id": "process-1",
"level": 7,
"site": 123
},
{
"timestamp": "2025-11-04T12:00:00.000Z",
"message": "Sample message 2",
"process-id": "process-1",
"level": 7,
"site": 123
}
]
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Access denied for user."
}{
"message": "Connector not found."
}How is this guide?